# Generated by Django 2.2.16 on 2021-09-03 12:10

from django.db import migrations, models
import django.db.models.deletion
import utils.files
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='LayoutCategory',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Создано')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Обновлено')),
                ('name', models.CharField(max_length=255, verbose_name='Наименование')),
            ],
            options={
                'verbose_name': 'Категории планировки',
                'verbose_name_plural': 'Категории планировки',
            },
        ),
        migrations.CreateModel(
            name='Layout',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Создано')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Обновлено')),
                ('x', models.IntegerField(default=0)),
                ('y', models.IntegerField(default=0)),
                ('z', models.IntegerField(default=0)),
                ('segment_length', models.IntegerField(default=0)),
                ('floor', models.IntegerField(default=0)),
                ('file', models.FileField(upload_to=utils.files.SetUploadPath('layouts'))),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='layouts.LayoutCategory')),
            ],
            options={
                'verbose_name': 'Планировка',
                'verbose_name_plural': 'Планировка',
            },
        ),
    ]
